@charset "UTF-8";

/* 基本 */
:root {
    --v-space: clamp(90px, 9vw, 120px);
}

body {
    margin: 0;
    background-color: #eeeeee;
    color: #222222;
    font-family: sans-serif;
}

h1,
h2,
h3,
h4,
h5,
h6,
p,
figure,
ul {
    margin: 0;
    padding: 0;
    list-style: none;
}

p {
    font-size: 18px;
    line-height: 1.8;
    text-align: justify;
}

a {
    color: inherit;
    text-decoration: none;
}

a:hover {
    filter: brightness(90%) contrast(120%);
}

img {
    display: block;
    max-width: 100%;
    height: auto;
}

/* アンカーリンクズレ解消 */
#top,
#services,
#company,
#access,
#contact {
    padding-top: 120px;
    margin-top: -120px;
}


/* 横幅と左右の余白 */
.w-container {
    width: min(92%, 960px);
    margin: auto;
    position: relative;
}

/* ヘッダー */
.header {
    height: 112px;
    background-color: #ffffff;
    position: sticky;
    top: 0;
    z-index: 10;
}

.header-container {
    display: flex;
    justify-content: space-between;
    align-items: center;
    height: 100%;
}

/* ナビゲーションボタン */
.navbtn {
    padding: 0;
    outline: none;
    border: none;
    background: transparent;
    cursor: pointer;
    color: #aaaaaa;
    font-size: 30px;
}

.open .navbtn {
    z-index: 110;
    color: #ffffff;
}

.navbtn .fa-bars {
    display: revert;
}

.open .navbtn .fa-bars {
    display: none;
}

.navbtn .fa-times {
    display: none;
}

.open .navbtn .fa-times {
    display: revert;
}

@media (min-width: 768px) {
    .navbtn {
        display: none;
    }
}

/* ナビゲーションメニュー：モバイル */
@media (max-width: 767px) {
    .nav {
        position: fixed;
        inset: 0 -40% 0 100%;
        z-index: 100;
        background-color: #0E45AD;
        opacity: 0.8;
        transition: transform 0.3s;
    }

    .open .nav {
        transform: translate(-100%, 0);
    }

    .nav ul {
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: left;
        padding-left: 20px;
        height: 100%;
        gap: 40px;
        color: #ffffff;
    }
}

/* ナビゲーションメニュー：PC */
@media (min-width: 768px) {
    .nav ul {
        display: flex;
        gap: 40px;
    }
}


/* ヒーロー */
.hero {
    height: 650px;
    background-image: url(img/hero.jpg);
    background-position: center;
    background-size: cover;
}

.hero-container {
    display: grid;
    justify-items: center;
    align-content: center;
    height: 100%;
}

.hero h1 img {
    margin-bottom: 30px;
}

.hero p {
    font-size: clamp(16px, 3vw, 20px);
    font-weight: 700;
    text-align: center;
    color: #ffffff;
}

/* ボタン */
.btn {
    display: block;
    width: 260px;
    padding: 10px;
    box-sizing: border-box;
    border-radius: 4px;
    background-color: #e8b368;
    color: #ffffff;
    font-size: 18px;
    text-align: center;
    text-shadow: 0 0 6px #00000052;
}

.btn-accent {
    background-color: #b72661;
}

/* メッセージ画像とテキスト */
.imgtext {
    padding: clamp(90px, 9vw, 120px) 0;
    background-color: #EAF4FC;
}

.imgtext + .imgtext {
    padding-top: 0;
}

.imgtext-container {
    display: flex;
    flex-direction: column;
    gap: clamp(30px, 6vw, 70px);
}


.border {
    border-top: 2px solid #0E45AD;
    border-bottom: 2px solid #0E45AD;
    padding: 20px 0px;
}

.text p {
    font-size: clamp(15px, 3vw, 18px);
}


@media (min-width: 768px) {
    .imgtext-container {
        flex-direction: row;
        align-items: center;
    }

    .imgtext-container.reverse {
        flex-direction: row-reverse;
    }

    .imgtext-container > .text {
        flex: 1;
        min-width: 17em;
    }

    .imgtext-container > .img {
        flex: 1;
    }
}

/* タイトルとサブタイトル（青色の短い線で装飾） */
.heading-decoration {
    font-size: clamp(30px, 3vw, 40px);
    min-height: 0vw;
    font-weight: 400;
}

.heading-decoration::after {
    display: block;
    content: '';
    width: 160px;
    height: 0px;
    border-top: solid 2px #0E45AD;
    margin-top: 0.6em;
}

.heading-decoration + p {
    margin-top: 1em;
    margin-bottom: 1.5em;
    color: #707070;
    font-family: "Montserrat", sans-serif;
    font-size: 18px;
}

.heading-decoration + p + p {
    margin-bottom: 1.5em;

}


/* 業務内容 会社概要 アクセス お問い合わせ */
.komoku {
    padding: var(--v-space) 0;
    background-color: #ffffff;
}

.bgblue {
    background-color: #EAF4FC;
}

.komoku-container {
    display: grid;
    grid-template-columns: repeat(1, 1fr);
    gap: 20px 20px;
}

@media (min-width: 768px) {
    .komoku-container {
        grid-template-columns: repeat(2, 1fr);
    }
}

.kakomi-box {
    display: grid;
    place-items: center;
    padding: 10px;
    background-color: #EAF4FC;
    border: 1px solid #0E45AD;
    border-radius: 10px;
}

.kakomi-box p {
    font-size: clamp(14px, 3vw, 18px);
    font-weight: 700;
    text-align: center;
    min-height: 0vw;
    line-height: 1.5;
}

.kakomi-box2 {
    display: grid;
    place-items: center;
    padding: 10px;
    background-color: #EAF4FC;
    border: 1px solid #0E45AD;
    border-radius: 10px;
}

.kakomi-box2 p {
    font-size: clamp(14px, 3vw, 18px);
    font-weight: 700;
    text-align: left;
    min-height: 0vw;
    line-height: 1.5;
}

.opa {
    opacity: 0.5;
}


/* 本文より太い文字 */
.futoji {
    font-weight: 700;
}

iframe {
    width: 100%;
}


/* 会社概要 表組み */

table {
    width: 100%;
    border-collapse: collapse;
    border-spacing: 0;
}

table th {
    padding: 8px 10px;
    font-size: clamp(13px, 1.6vw, 16px);
    text-align: left;
    font-weight: 400;
}

table td {
    padding: 18px 10px;
    font-size: clamp(14px, 1.6vw, 16px);
    text-align: left;
}

table tr:nth-child(odd) {
    background-color: #EEEEEE
}

table th:first-child {
    border-top: solid 1px #D3D3D3;
}

table tr {
    border-bottom: solid 1px #D3D3D3;
}

/* PC改行させない、モバイル改行 */
.sp_br {
    display: none;
}

/* 文字間を調整 */
.font_space {letter-spacing: -0.06em}

@media screen and (max-width: 480px) {
    .sp_br {
        display: block;
    }
}

/* お問い合わせフォーム
------------------------------- */

form {
    padding: 20px;
    background: #ffffff;
}

form p {
    margin: 0 0 30px 0;
    font-size: 16px;
}

label {
    display: block;
    margin: 0 0 5px 0;
}

input[type="text"],
input[type="email"],
textarea {
    width: 100%;
    padding: 5px 10px 5px 10px;
    height: 50px;
    border: solid 1px #D3D3D3;
    border-radius: 0;
    background-image: none;
    -webkit-appearance: none;
    -moz-box-sizing: border-box;
    -webkit-box-sizing: border-box;
    box-sizing: border-box;
}

textarea {
    height: 190px;
}

input[type="text"]:focus,
input[type="email"]:focus,
textarea:focus {
    border: solid 1px #0E45AD;
    outline: none;
    -webkit-box-shadow: 0 0 5px 0 #0E45AD;
    box-shadow: 0 0 5px 0 #0E45AD;
}


/* フォーム送信ボタン */

input[type="submit"] {
    display: inline-block;
    padding: 20px 60px 20px 60px;
    border: none;
    border-radius: 6px;
    background: #0E45AD;
    font-size: 16px;
    color: #ffffff;
    text-decoration: none;
    cursor: pointer;
    -webkit-appearance: none;
    transition: .4s;

}

input[type="submit"]:hover,
input[type="submit"]:focus {
    outline: none;
    background-color: #163060;
}

input[type="submit"]::-moz-focus-inner {
    padding: 0;
    border: none;
}

/* サンクスページ戻るボタン */
.btn-flat-border {
    display: inline-block;
    padding: 0.3em 1em;
    text-decoration: none;
    color: #0E45AD;
    border: solid 2px #0E45AD;
    border-radius: 3px;
    transition: .4s;
}

.btn-flat-border:hover {
    background: #0E45AD;
    color: white;
}

/* フッター */
footer {
    background: #0E45AD;
    padding: 48px 0;
}

footer p {
    color: #ffffff;
    font-size: 0.75rem;
}

.page-footer {
    display: flex;
    align-items: flex-end;
}

.page-footer > :last-child {
    margin-left: auto;
}



/* モバイル版
------------------------------- */
@media (max-width: 768px) {

    .page-footer {
        flex-direction: column;
        align-items: center;
    }

    .page-footer > :last-child {
        margin: auto;
    }

    footer p {
        font-size: 0.6rem;
        margin-bottom: 20px;
    }

    .footer-logo {
        margin-bottom: 15px;
    }

}

/* サンクスページ
------------------------------- */
#thanks {
    background: #ffffff;
}

.thanks-se {
    padding: 120px 0 120px 0;
    text-align: center;

}

.thanks-se p {
    text-align: center;
    padding: 20px 0 20px 0;

}

/* トップへ戻るボタン */
.pagetop {
    display: none;
    position: fixed;
    bottom: 15px;
    right: 15px;
}

.pagetop a {
    display: block;
    background-color: #cccccc;
    text-align: center;
    color: #222;
    font-size: 18px;
    text-decoration: none;
    padding: 5px 10px;
    filter: alpha(opacity=50);
    -moz-opacity: 0.5;
    opacity: 0.5;
}

.pagetop a:hover {
    display: block;
    background-color: #b2d1fb;
    text-align: center;
    color: #ffffff;
    font-size: 18px;
    text-decoration: none;
    padding: 5px 10px;
    filter: alpha(opacity=50);
    -moz-opacity: 0.5;
    opacity: 0.5;
}